# 📝 json2docx

**json2docx** is a Python library that fills Word `.docx` templates using a dictionary of values.  
It replaces **text placeholders** and **base64-encoded images** (matched via alt text) recursively in paragraphs and tables.

---

## ✅ Features

- 🔤 Replace text placeholders like `{{key}}`
- 🖼 Replace images using base64 data matched by image **Alt Text**
- 🔁 Works recursively inside tables, rows, and cells
- 📄 Supports both `.docx` paragraphs and tables
- 🪄 Easy to integrate in automation and document generation workflows

---

## 📦 Installation

```bash
pip install json2docx
```
